/*
 * Licensed Materials - Property of IBM
 * com.ibm.ws.ast.samples
 *  Copyright IBM Corporation 2010. All Rights Reserved.
 * U.S. Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 * Use restricted, please refer to the "Samples Gallery" terms and conditions in the IBM International Program License Agreement.   
 */
package composite;

import org.osoa.sca.annotations.Callback;
import org.osoa.sca.annotations.Scope;
import org.osoa.sca.annotations.Service;


@Service(Target.class)
@Scope("COMPOSITE")
public class TargetImpl implements Target {

    private SourceCallback sourceCallback;

    @Callback
    public void setSourceCallback(SourceCallback sourceCallback) {
        this.sourceCallback = sourceCallback;
    }

    public void someMethod(String arg) {
        System.out.println("Target: " + arg);
        sourceCallback.receiveResult(arg + " -> Target.someMethod");
    }
}
